Skip to content

List subscriptions

Request

Retrieves a paginated list of subscriptions with optional filtering by search term and status

Security
oauth2ClientCredentials(Required scopes: subscriptions:read)
Query
pagenumber

Page number (minimum: 1)

Example:page=1
limitnumber

Number of items per page (minimum: 1, maximum: 1000)

Example:limit=50
searchstring

Search term to filter subscriptions by name or merchant

Example:search=Netflix
statusstring

Filter subscriptions by status

Enum:"DRAFT""ACTIVE""PAUSED""REJECTED""DELETED""PENDING"
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

curl -i -X GET \
  'https://developer.boyahq.com/_mock/v2/openapi/subscriptions?page=1&limit=50&search=Netflix&status=DRAFT' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string'

Responses

List of subscriptions

Bodyapplication/json
docsArray of objects(SubscriptionV1Dto)

Subscription documents

totalnumber

Total count

limitobject

Limit per page

pageobject

Current page

pagesnumber

Total pages

Response
{ "docs": [ {} ], "total": 0, "limit": {}, "page": {}, "pages": 0 }